Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.PI
Class ComponentSet

    java.lang.Object
      |
      +--org.omg.CORBA.LocalObject
            |
            +--org.openorb.PI.ComponentSet

All Implemented Interfaces:
  IDLEntity, IORInfo, IORInfoOperations, Object, java.io.Serializable

public class ComponentSet
extends LocalObject
implements IORInfo

This class is used to return all component tag required to complete an IOR.

Version:
  $Revision: 1.6 $ $Date: 2002/06/28 08:59:04 $
Author:
  Jerome Daniel, Chris Wood
See Also:
  Serialized Form

Constructor Summary
`ComponentSet(ORB orb, PolicyManagerOperations oaPolicies, DomainManager[] domainManagers)` Constructor

Method Summary
`void` | `add_ior_component_to_profile(TaggedComponent component, int profile_id)` Add a tagged component for a specific profile.
`void` | `add_ior_component(TaggedComponent component)` Add a tagged component for all profiles.
`Policy` | `get_effective_policy(int type)` Return an effective policy.
`TaggedComponent[]` | `getComponents(int profile_id)` Return tagged component for a specific profile.
`void` | `interception_point()` This operation is used to apply the interception point for IOR Interceptors.

Methods inherited from class org.omg.CORBA.LocalObject
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_policy_override, validate_connection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Constructor Detail

### ComponentSet

    public ComponentSet(ORB orb,
                        PolicyManagerOperations oaPolicies,
                        DomainManager[] domainManagers)

  Constructor

Method Detail

### interception_point

    public void interception_point()

  This operation is used to apply the interception point for IOR Interceptors.

### get_effective_policy

    public Policy get_effective_policy(int type)

  Return an effective policy.
  Specified by:
    `get_effective_policy` in interface `IORInfoOperations`

### add_ior_component

    public void add_ior_component(TaggedComponent component)

  Add a tagged component for all profiles.
  Specified by:
    `add_ior_component` in interface `IORInfoOperations`

### add_ior_component_to_profile

    public void add_ior_component_to_profile(TaggedComponent component,
                                             int profile_id)

  Add a tagged component for a specific profile.
  Specified by:
    `add_ior_component_to_profile` in interface `IORInfoOperations`

### getComponents

    public TaggedComponent[] getComponents(int profile_id)

  Return tagged component for a specific profile.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD